unit untMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DFFileInfo, ComCtrls;

type
  TForm1 = class(TForm)
    DFFileInfo1: TDFFileInfo;
    Button1: TButton;
    Memo1: TMemo;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Clear;
  if OpenDialog1.Execute then
  begin
    DFFileInfo1.FileName := OpenDialog1.FileName;
    if DFFileInfo1.IsVersionInfo then
    begin
      Memo1.Lines.Add('File Version: ' +
                      Format('%.2d.%.2d.%d.%d', [DFFileInfo1.MajorFileVersionMS,
                                                 DFFileInfo1.MinorFileVersionMS,
                                                 DFFileInfo1.MajorFileVersionLS,
                                                 DFFileInfo1.MinorFileVersionLS]));

      Memo1.Lines.Add('File Type: ' + DFFileInfo1.FileTypeAsString);
      Memo1.Lines.Add('FileOS: ' + DFFileInfo1.FileOSAsString);

      Memo1.Lines.Add('CompanyName: ' + DFFileInfo1.CompanyName);
      Memo1.Lines.Add('FileDesciption: ' + DFFileInfo1.FileDesciption);
      Memo1.Lines.Add('FileVersion: ' + DFFileInfo1.FileVersion);
      Memo1.Lines.Add('InternalName: ' + DFFileInfo1.InternalName);
      Memo1.Lines.Add('LegalCopyright: ' + DFFileInfo1.LegalCopyright);
      Memo1.Lines.Add('LegalTrademarks: ' + DFFileInfo1.LegalTrademarks);
      Memo1.Lines.Add('OriginalFilename: ' + DFFileInfo1.OriginalFilename);
      Memo1.Lines.Add('ProductName: ' + DFFileInfo1.ProductName);
      Memo1.Lines.Add('ProductVersion: ' + DFFileInfo1.ProductVersion);
      Memo1.Lines.Add('Comments: ' + DFFileInfo1.Comments);

      if DFFileInfo1.IsFlagPrivateBuild then
        Memo1.Lines.Add(DFFileInfo1.PrivateBuild);
      if DFFileInfo1.IsFlagSpecialBuild then
        Memo1.Lines.Add(DFFileInfo1.SpecialBuild);

      if DFFileInfo1.IsFlagDebug then
        Memo1.Lines.Add('DebugVersion');
      if DFFileInfo1.IsFlagInfoinferred then
        Memo1.Lines.Add('Info could be corrupt');
      if DFFileInfo1.IsFlagPatched then
        Memo1.Lines.Add('Patch');
      if DFFileInfo1.IsFlagPreRelease then
        Memo1.Lines.Add('Pre Release');

    end;
  end;
end;

end.
